Mail archive
alpine-aports

[alpine-aports] [PATCH 1/2] main/unbound: supply custom config instead of patching the example one

From: Sören Tempel <soeren+git_at_soeren-tempel.net>
Date: Thu, 10 Dec 2015 22:18:30 +0100

Install the example configuration to /usr/share/doc/unbound/examples
instead. This is a) easier and b) more fool prove.
---
 main/unbound/APKBUILD      | 31 +++++++++++++++++++++----------
 main/unbound/conf.patch    | 39 ---------------------------------------
 main/unbound/configuration |  5 +++++
 3 files changed, 26 insertions(+), 49 deletions(-)
 delete mode 100644 main/unbound/conf.patch
 create mode 100644 main/unbound/configuration
diff --git a/main/unbound/APKBUILD b/main/unbound/APKBUILD
index 7a52cff..cb8364d 100644
--- a/main/unbound/APKBUILD
+++ b/main/unbound/APKBUILD
_at_@ -3,7 +3,7 @@
 # Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
 pkgname=unbound
 pkgver=1.5.6
-pkgrel=4
+pkgrel=5
 pkgdesc="Unbound is a validating, recursive, and caching DNS resolver"
 pkgusers="unbound"
 pkggroups="unbound"
_at_@ -16,8 +16,8 @@ makedepends="$depends_dev python-dev swig linux-headers"
 install="$pkgname.pre-install"
 subpackages="$pkgname-dev $pkgname-doc $pkgname-libs $pkgname-dbg py-unbound:py $pkgname-migrate"
 source="http://unbound.net/downloads/unbound-$pkgver.tar.gz
-	conf.patch
 	swig.patch
+	configuration
 	update-unbound-root-hints
 	migrate-dnscache-to-unbound
 	root.hints
_at_@ -46,7 +46,6 @@ build() {
 		--with-libevent \
 		--with-ldns \
 		--with-pthreads \
-		--with-rootkey-file=/usr/share/dnssec-root/trusted-key.key \
 		--disable-static \
 		--disable-rpath \
 		--with-ssl \
_at_@ -63,16 +62,28 @@ build() {
 package() {
 	cd "$_builddir"
 	make DESTDIR="$pkgdir" install || return 1
+
 	install -D contrib/update-anchor.sh \
 		"$pkgdir"/usr/share/$pkgname/update-anchor.sh \
 		|| return 1
-        install -m755 -D "$srcdir"/unbound.initd \
-                "$pkgdir"/etc/init.d/unbound || return 1
-	install -d -o unbound -g unbound "$pkgdir"/var/run/unbound || return 1
-	install -m644 "$srcdir"/root.hints "$pkgdir"/etc/unbound/ || return 1
 	install -Dm755 "$srcdir"/update-unbound-root-hints \
 		"$pkgdir"/etc/periodic/monthly/update-unbound-root-hints \
 		|| return 1
+
+        install -m755 -D "$srcdir"/unbound.initd "$pkgdir"/etc/init.d/unbound || return 1
+	install -d -o unbound -g unbound "$pkgdir"/var/run/unbound || return 1
+	install -m644 "$srcdir"/root.hints "$pkgdir"/etc/unbound/ || return 1
+
+	mkdir -p "$pkgdir"/usr/share/doc/$pkgname/examples
+	mv "$pkgdir"/etc/unbound/unbound.conf \
+		"$pkgdir"/usr/share/doc/$pkgname/examples || return 1
+	install -m644 "$srcdir"/configuration \
+		"$pkgdir"/etc/unbound/unbound.conf || return 1
+
+	for name in CREDITS Changelog FEATURES README TODO; do
+		install -m644 "$_builddir"/doc/$name \
+			"$pkgdir"/usr/share/doc/$pkgname/$name || return 1
+	done
 }
 
 libs() {
_at_@ -96,22 +107,22 @@ migrate() {
 }
 
 md5sums="691a34abd8e9257dd65b70f28326c1f0  unbound-1.5.6.tar.gz
-ac71ed8daf79787a0689ae3971bf4350  conf.patch
 deb0a18f2250caa53750ee2cecac71e9  swig.patch
+c404c3f55e64140a8345b8f770a8964d  configuration
 c1c71cd0e7f9630536a2abf2513c675d  update-unbound-root-hints
 5340681e5ec1a1fd47a0de27f5c03c21  migrate-dnscache-to-unbound
 b2afc34d106e104730b63876c9a07caf  root.hints
 b98eded68339fc605ec7e6cbb50e5aa3  unbound.initd"
 sha256sums="ad3823f5895f59da9e408ea273fcf81d8a76914c18864fba256d7f140b83e404  unbound-1.5.6.tar.gz
-127f4b97a4200d47265cad6970ba17784e57883c7cb0f7104cfbc7979bd9efc3  conf.patch
 d131e19129744f7014167d8701cb39c8358269a89b317b8a74dacfd267e1f516  swig.patch
+cd095ce81fcce82e7d252cddd125b0a1cb37dc1c1cb52ff5bd6bbe435a8716f0  configuration
 0db3ca197b62901fab984cb2559925adbf3307ccd1dca3e1dd69cd1642ff0a36  update-unbound-root-hints
 582851b4017044d8642c42c5df09b27494c963e1eebb8be3373b2dbd168d0ac0  migrate-dnscache-to-unbound
 9de827bda7ddb3b8d3fac2db56c0fe65a67772a12a874c75091ae8e3f2b31c73  root.hints
 d9997000449179dc16f5084bf061453faf09094f843acb1d163757f8000c0cd7  unbound.initd"
 sha512sums="2477e3f00b8f5a3a4661ff20b0bc0d1d56c8a65cc6ab9f1308ae86f41c67a998af68d3ac5ba6c9c22a25a251f0410eaf9fee82911bcb3a3e82ffb6383e28dcf7  unbound-1.5.6.tar.gz
-a63b849b7bcd923e5ae648ea2a805beed2529afcb8363dd8ee968b964b8bf731f5d2579bc6126619cb1865a498c39e1e0dd7a0f93fecc27569aa5425d6af9ca9  conf.patch
 7d2666363be7156b26fd857459492f6e78fbc24bd6923dd51477e09df938d8c617035e4aa8bf91ffcde384e2dff8225eced14d7aaa7690e3a95b34c5f21eaf7d  swig.patch
+d0b5357afcfa0ecab5284d5bcf6dbf1ff5b76ef8dc69eeb4e5d316f147cbe986f3db893e5fa87406647ae6259a7c4b7d7ea6ce11a7303067c4927c7dadb70fec  configuration
 0f80b507a8f71b0c00729501d861657ce91a57024cd1963c150d0630c71eccceba370d6e732ff39bb807713672550d87a8c8ecdb9fce6b8b4386c12689603700  update-unbound-root-hints
 b26a13c1c88da9611a65705dc59f7233c5e0f6aced0d7d66c18536a969a2de627ca5d4bb55eedd81f2f040fa11bde48eaaeca2850f376e72e7a531678a259131  migrate-dnscache-to-unbound
 e4a5ac121dd2ef989cf2daed1f8735c215419503e35a322cc3195ee8bbc0810bfb2867d82444263afe378b589ba8b145e3e495aa6ab5c6a0ec91811b1a736efc  root.hints
diff --git a/main/unbound/conf.patch b/main/unbound/conf.patch
deleted file mode 100644
index dcac701..0000000
--- a/main/unbound/conf.patch
+++ /dev/null
_at_@ -1,39 +0,0 @@
-diff -upr unbound-1.5.6.orig/doc/example.conf.in unbound-1.5.6/doc/example.conf.in
---- unbound-1.5.6.orig/doc/example.conf.in	2015-11-16 14:42:32.068772139 +0100
-+++ unbound-1.5.6/doc/example.conf.in	2015-11-16 14:42:55.639731588 +0100
-_at_@ -212,7 +212,7 @@ server:
- 	# How to do this is specific to your OS.
- 	#
- 	# If you give "" no chroot is performed. The path must not end in a /.
--	# chroot: "_at_UNBOUND_CHROOT_DIR@"
-+	chroot: ""
- 
- 	# if given, user privileges are dropped (after binding port),
- 	# and the given username is assumed. Default is user "unbound".
-_at_@ -243,7 +243,7 @@ server:
- 
- 	# file to read root hints from.
- 	# get one from ftp://FTP.INTERNIC.NET/domain/named.cache
--	# root-hints: ""
-+	root-hints: /etc/unbound/root.hints
- 
- 	# enable to not answer id.server and hostname.bind queries.
- 	# hide-identity: no
-_at_@ -361,7 +361,7 @@ server:
- 	# you start unbound (i.e. in the system boot scripts).  And enable:
- 	# Please note usage of unbound-anchor root anchor is at your own risk
- 	# and under the terms of our LICENSE (see that file in the source).
--	# auto-trust-anchor-file: "_at_UNBOUND_ROOTKEY_FILE@"
-+	# auto-trust-anchor-file: ""
- 
- 	# File with DLV trusted keys. Same format as trust-anchor-file.
- 	# There can be only one DLV configured, it is trusted from root down.
-_at_@ -372,7 +372,7 @@ server:
- 	# with several entries, one file per entry.
- 	# Zone file format, with DS and DNSKEY entries.
- 	# Note this gets out of date, use auto-trust-anchor-file please.
--	# trust-anchor-file: ""
-+	trust-anchor-file: "_at_UNBOUND_ROOTKEY_FILE@"
- 	
- 	# Trusted key for validation. DS or DNSKEY. specify the RR on a
- 	# single line, surrounded by "". TTL is ignored. class is IN default.
diff --git a/main/unbound/configuration b/main/unbound/configuration
new file mode 100644
index 0000000..dba0fd2
--- /dev/null
+++ b/main/unbound/configuration
_at_@ -0,0 +1,5 @@
+server:
+  chroot: ""
+  use-syslog: yes
+  username: "unbound"
+  trust-anchor-file: "/usr/share/dnssec-root/trusted-key.key"
-- 
2.6.4
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Dec 10 2015 - 22:18:30 GMT